import usb

VENDOR_RQ_GET_LEVEL    = 0
VENDOR_RQ_ON_PUMP = 1
VENDOR_RQ_OFF_PUMP = 2

def find_board():
    board = None
    for bus in usb.busses():
        for dev in bus.devices:
            if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc:
                return dev
    return None

board = find_board()
handle = board.open()
while True:
  print '---------'
  print 'Main Menu'
  print '---------'
#  print '1. Read Pump Status'
  print '1. Read status'
  print '2. Turn On Pump'
  print '3. Turn Off Pump'
  print '4. Quit'
  select = input("Enter choice : ")
  if select == 1:
   # ledid = input("Enter LED no (0-2) : ")
    req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
    #if ledid == 0:
     # comm = input("Turn it on or off (0 = off, 1 = on) : ")
      #if comm == 0:
   # if handle.controlMsg(req, 0, 1)==1 :
   #   print 'Pump is turn on'
    if handle.controlMsg(req,0,5) == (0,0):
      print "water level : Minimum"
    if handle.controlMsg(req,0,5) == (1,0):
      print "water level : Half"
    if handle.controlMsg(req,0,5) == (3,0):
      print "water level : Maximum"
    if handle.controlMsg(req,0,5) == (6,0):
      print "water level : None"
   # else :
    #  print 'Pump is turn off'

      #elif comm == 1:
       # handle.controlMsg(req, 0, None, value=0x0100)
     # else:
      #  print 'Error'
   # elif ledid == 1:
    #  comm = input("Turn it on or off (0 = off, 1 = on) : ")
     # if comm == 0:
      #  handle.controlMsg(req, 0, None, value=0x0001)
     # elif comm == 1:
      #  handle.controlMsg(req, 0, None, value=0x0101)
     # else:
      #  print 'Error'
    #elif ledid == 2:
     # comm = input("Turn it on or off (0 = off, 1 = on) : ")
      #if comm == 0:
       # handle.controlMsg(req, 0, None, value=0x0002)
      #elif comm == 1:
       # handle.controlMsg(req, 0, None, value=0x0102)
     # else:
      #  print 'Error'
   # else:
    #  print 'Error'
  elif select == 2:
    req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
    handle.controlMsg(req,1,None,value = 0x0104)
  elif select == 3:
    req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
    handle.controlMsg(req,2,None,value = 0x0004)
 #   if handle.controlMsg(req, 1, 1) == (0,):
 #     print 'The switch is currently OFF'
 #   else:
 #     print 'The switch is currently ON'
 # elif select == 3:
   # req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
  #  vo = handle.controlMsg(req,2,10)
 #   v = (float)(vo[0] + 256*vo[1])/1023*5
#    print 'The voltage reading is ','%.2f'%v, 'V'
  elif select == 4:
    break
  else:
    print 'Error'

